curl --request GET \
--url https://api.baselayer.com/portfolio/updates \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/portfolio/updates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/portfolio/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"item": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search_id": "c623e29e-1f57-11ef-938f-1edb1b067314",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"type": "Business",
"business_id": "ede786f3-33ae-4894-843d-af2025f1d5b0",
"business_url": "<string>",
"item_url": "<string>",
"group_url": "<string>",
"console_url": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "Austin",
"last_name": "Taylor",
"email": "jessicasimpson@example.com"
}
},
"from_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"change_count": 123,
"notification_count": 123,
"notification_summaries": [
{
"attribute": "registration_health",
"count": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"item_url": "<string>",
"from_snapshot_url": "<string>",
"to_snapshot_url": "<string>",
"diff_url": "<string>",
"notifications_url": "<string>",
"notifications": [
{
"message": {
"components": [
{
"type": "regular",
"text": "<string>",
"for": "<string>",
"url": "<string>"
}
],
"text": "<string>"
},
"notifiable_attribute": "registration_health"
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Portfolio Updates
Authorizations
Query Parameters
The query param. Can be a business name, person name, business_id, person_id, or a type (business or person). If it is a business id or a person id (UUID), it will be used to search by id. If it is a business name or a person name, it will be used to search by name (case-insensitive). If it is a type (business or person), it will be used to search by type. If it is not provided, all portfolio updates will be returned.
Filter by notification attributes
registration_health, new_registrations, addresses, officers, alternative_names, kyb_score, risk_score, identity_network, pep, ofac, liens, litigations, bankruptcies, website_analysis Maximum number of records to return in a single page. Must be between 1 and 1000.
1 <= x <= 1000Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.
x >= 0Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.
Filter records created on or after this date (format: YYYY-MM-DD).
Filter records created on or before this date (format: YYYY-MM-DD).
IANA timezone identifier used to interpret start_date and end_date (defaults to UTC).
"UTC"
"America/Los_Angeles"
"Europe/London"
Response
Response
Represents a summary of a business portfolio item.
- BusinessPortfolioItemSummaryResponse (v1)
- PersonPortfolioItemSummaryResponse (v1)
Show child attributes
Show child attributes
The unique identifier of the from snapshot.
The unique identifier of the to snapshot.
The number of changes in the portfolio item update.
The number of notifications in the portfolio item update.
The notification summaries in the portfolio item update.
Show child attributes
Show child attributes
When the portfolio item update was created.
Generate notifications from the JSON patch data without expensive diffing.
This uses the pre-computed json_patch data to create a PortfolioItemSnapshotDiff and then generates notifications from it, avoiding the expensive diff operation.
Show child attributes
Show child attributes